<div class="app-container"
     [class.app-is-mobile]="mobileQuery.matches">
  <mat-sidenav-container class="app-sidenav-container"
                         [ngClass]="{'app-sidenav-closed': appSidenavClosed}">
    <mat-sidenav #snav
                 style="display: none"
                 [mode]="mobileQuery.matches ? 'over' : 'side'"
                 [fixedInViewport]="mobileQuery.matches"
                 opened="{{!mobileQuery.matches}}">
      <div class="sidenav-top">
        <a routerLink="/dashboard">
          <img class="comp-logo"
               src="assets/images/logo.png">
        </a>
        <div class="sidenav-avatar-container">
          <h2 class="avatar-title"> {{currentUser.first_name}} {{currentUser.last_name}} </h2>
          <h4 class="avatar-subtitle"> {{currentUser.roles[0]}} </h4>
        </div>
      </div>
      <mat-nav-list class="sidenav-list">
        <a mat-list-item
           routerLink="{{menu.path}}"
           routerLinkActive
           #rla="routerLinkActive"
           [class.active]="rla.isActive"
           (click)="mobileQuery.matches && snav.close()"
           *ngFor="let menu of menus">
          <mat-icon class="nav-icon"
                    matTooltip="{{menu.title}}"
                    matTooltipPosition="right"
                    svgIcon="{{menu.icon}}"></mat-icon>
          <span class="side-nav-title">{{menu.title}}</span>
        </a>
      </mat-nav-list>
    </mat-sidenav>

    <mat-sidenav-content>
      <mat-toolbar class="app-header text-layout-font-color mat-elevation-z2">
        <button mat-icon-button
                (click)="toggle(snav)"
                class="app-toggle-button">
          <mat-icon class="rotate-icon"
                    svgIcon="menu"></mat-icon>
        </button>
        <mat-divider vertical="true"></mat-divider>
        <mat-icon class="app-icon">search</mat-icon>
        <span class="search-bar">
          <input matInput
                 placeholder="Enter your search text (min 3 char)"
                 [(ngModel)]="searchInputModel"
                 (ngModelChange)="applyFilter()">
        </span>
        <span class="btn-bar">
          <button mat-button
                  class="btn-fit"
                  (click)="refresh()">
            <mat-icon class="text-success">autorenew</mat-icon>Refresh
          </button>
          <button mat-flat-button
                  class="btn-fit btn-round"
                  color="warn"
                  (click)="logoutUser()"> Logout
            <mat-icon class="app-icon rotate-icon"
                      svgIcon="logout"></mat-icon>
          </button>
        </span>
        <!-- <button mat-icon-button class="logout-button"> Logout
          <mat-icon class="app-icon rotate-icon" svgIcon="logout"></mat-icon>
        </button> -->
      </mat-toolbar>
      <div class="page-container-wrapper">
        <div class="page-container">
          <div class="page-header">
            <nav class="nav-header">
              <ul class="breadcrumb-list">
                <li *ngFor="let breadcrumbItem of breadcrumb.items; trackBy: trackBreadcrumb">
                  <a [routerLink]="[breadcrumbItem.path, breadcrumb.params]"
                    [queryParams]="breadcrumb.queryParams"
                    title="Load {{breadcrumbItem.name}}">
                    <!-- <span class="breadcrumb-value"
                          *ngIf="breadcrumbItem.valueKey">({{breadcrumb.queryParams[breadcrumbItem.valueKey]}})
                    </span> -->
                    {{breadcrumbItem.value || breadcrumbItem.name}}
                    <!-- <span class="breadcrumb-text">{{breadcrumbItem.value || breadcrumbItem.name}}</span> -->
                  </a>
                </li>
              </ul>
            </nav>
          </div>
          <div class="page-content">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
